<div class="spell">
	<div class="spell-name-box school-{{ spell.school | lower() }}">
		<a href="#{{spell.id}}">
			<h1 id={{spell.id}} class="spell-name">
			{% if spell.school | lower() == 'foobar' %}
				<span class="white-text">{{ spell.name }}</span>
			{% else %}
				{{ spell.name }}
			{% endif %}
			</h1>&#x1f517
		</a>
	</div>
	<div class="spell-school">
		{{ spell.school }}
		{%- if spell.tags is defined %} [
			{{ spell.tags | join(', ') }}
		] {%- endif %}
	</div>
	<table class="spell-attribute-table">
		<tr>
			<td class="spell-attribute">Level:</td>
			<td  id={{spell.id}}.level>{{spell.level}}</td>
		</tr>
		<tr>
			<td class="spell-attribute">Components:</td>
			<td id={{spell.id}}.components>{{ spell.components_string }}</td>
		</tr>
		<tr>
			<td class="spell-attribute">Casting Time:</td>
			<td id={{spell.id}}.casting_time>{{ spell.casting_time }}</td>
		</tr>
		<tr>
			<td class="spell-attribute">Range:</td>
			<td id={{spell.id}}.range>{{ spell.range }}</td>
		</tr>
		{% if spell.target is defined %}
		<tr>
			<td class="spell-attribute">Target:</td>
			<td id={{spell.id}}.target>{{ spell.target }}</td>
		</tr>
		{% endif %}
		{% if spell.area is defined %}
		<tr>
			<td class="spell-attribute">Area:</td>
			<td id={{spell.id}}.area>{{spell.area}}</td>
		</tr>
		{% endif %}
		{% if spell.duration is defined %}
		<tr>
			<td class="spell-attribute">Duration:</td>
			<td id={{spell.id}}.duration>{{spell.duration}}</td>
		</tr>
		{% endif %}
		<tr>
			<td class="spell-attribute">Saving Throw:</td>
			<td id={{spell.id}}.saving_throw>
				{% if spell.saving_throw == None %} None
				{% else %} {{ spell.saving_throw }}
				{% endif %}
			</td>
		</tr>
		<tr>
			<td class="spell-attribute">Resistance:</td>
			<td id={{spell.id}}.spell_resistance>{{spell.spell_resistance}}</td>
		</tr>
	</table>
	<div class="spell-description">
	{% if spell.img is defined %}
	<img class="spell-img" src="{{ spell.img }}">
	{% endif %}
	{{ spell.description | as_markdown() }}</div>
</div>
